/*
 * 	startup-crt.c
 *	MD307
 */
__attribute__((naked)) __attribute__((section (".start_section")) )
void startup ( void )
{
	__asm__ volatile(" la sp,__stack_top\n");		/* set stack */
#ifdef COLDSTART
    /* Enable floating point and interrupt */
 	__asm__ volatile(" li t0, 0x7888\n");           
 	__asm__ volatile(" csrs mstatus, t0\n");
	
 	/* Set the exception vector table base */
	__asm__ volatile(" la t0,0x2001C000\n");		
	__asm__ volatile(" ori t0, t0, 3\n");		
	__asm__ volatile(" csrw mtvec, t0\n");		
#endif
	__asm__ volatile(" jal _crt_init\n");			/* prepare clib */	
#ifdef COLDSTART
	/* Start application with 'mret' i.e. stay in machine mode */
	__asm__ volatile(" la ra,.lowexit\n");   	/* Set the return address if exiting main */          
	__asm__ volatile(" la t0, main\n");           
 	__asm__ volatile(" csrw mepc, t0\n");           
 	__asm__ volatile(" mret\n");           
#else
	/* When running under debugger dbg, the above has been taken care of. */
	__asm__ volatile(" jal main\n");				/* call main */
#endif
	__asm__ volatile(".lowexit:  jal _exit\n");		/* Never  returns */
}


int main(void)
{
}

