/*
	Default linker script for MD307
	Yuilds three resulting segments, .text, .bss and .data, everything goes to RAM.
*/

MEMORY
{ /* MD307 RAM memory space, 0x20000000 .. 0x2001FFFF */
  RAM (xrw) : ORIGIN = 0x20000000, LENGTH = 128K
}

SECTIONS
{	/* Collect sections and merge into final segments */
     .text :
    {
        . = ALIGN(4);
        *(.start_section)   /* startup code */
        *(.text)            /* remaining code sections */
        *(.text.*) 
        *(.rodata)          /* read-only data (constants) */
        *(.rodata.*)
    } >RAM

     .data :
    {
        . = ALIGN(4);
        *(.data)           /* user initialised data */
        *(.data.*)
    } >RAM

    .bss :
    {
        . = ALIGN(4);
        __bss_start__ = .;
        *(.bss)            /* zero intialised data */
        *(.bss.*)
        *(COMMON)
        . = ALIGN(4);
        __bss_end__ = .;
        . = ALIGN(4096);
        heap_low = .;
        . = . + 0x800;
        heap_top = .;
        . = . + 0x400;
        stack_top = .;
    } >RAM
}
