/*
	Default linker script for MD307
	Yuilds tree resulting segments, .text, .bss and .data
	all code and data goes to RAM.
*/

MEMORY
{
  RAM (xrw) : ORIGIN = 0x20000000, LENGTH = 108K
}

SECTIONS
{
     .text :
    {
	. = ALIGN(4);	    
	*(.start_section)	/* startup code */
	*(.text) 			/* remaining code */
	*(.text.*)                 
	*(.rodata)  		/* read-only data (constants) */
        *(.rodata.*)
    } >RAM
	. = ALIGN (CONSTANT (COMMONPAGESIZE));
	.data :
    {
	*(.data)			/* initialised data */
        *(.data.*)
    } >RAM
	. = ALIGN (CONSTANT (COMMONPAGESIZE));
    .bss :
    {
	*(.bss)			/* unintialised data */
	*(.bss.*)		
        *(COMMON)
    } >RAM
 }
